POST
/spaces/membersList members of a space
Lists users and groups that are members of a space. Supply spaceId to identify the space, and use cursor or beforeCursor to navigate the paginated results. Use query to filter the listed members, or adminView to include items the authenticated user can access through their admin role.
- IdempotentThe SDK sends
Idempotency-Key, so a retried request is only applied once.
Space member listing options. The spaceId field is required.
spaceIdstringrequired
Space identifier (UUID).
adminViewbooleanoptional
If `true`, the list includes all items the admin has global permissions to access by virtue of their admin role.
beforeCursorstringoptional
Set to `prevCursor` from the previous call to list the previous page. Ignored when `cursor` is also supplied.
cursorstringoptional
Set cursor to `nextCursor` returned by the previous call to list items in the next page.
limitintegeroptional
Maximum number of items to return per page.
querystringoptional
Optional text filter to search within the listed items (e.g. filter members by name).
200Returns a paginated list of space members, including users and groups.
dataobjectoptional
statusintegeroptional
successbooleanoptional
403Returned when the authenticated user is not permitted to view the space members.
errorstringoptional
Reason phrase, for example `Bad Request`.
messagestringoptional
statusCodeintegeroptional
Error handling
The spaceId field is required. A 403 is returned when the authenticated user is not permitted to view members of the space. limit must be between 1 and 100; it defaults to 20 when omitted.